/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: block;
  box-sizing: border-box;
  width: 100%;
  height: calc(100vh - 20em);
}

.editor--arrangement {
  display: flex;
  flex-direction: row;
  height: 100%;
}

.editor--arangement--content {
  display: flex;
  flex-direction: row;
  flex: 1;
}

.editor--arrangement--panel {
  flex: 0 1 50%;
  padding: 0.5em 0.5em 0 0.5em;
  overflow: auto;
  box-sizing: border-box;

  & > * {
    margin-bottom: 0.5em;
  }
}

.editor--arrangement--panel---border-left {
  border-left: 1px solid $openk-form-border;
}

.editor--arrangement--preview {
  width: 50%;
  border-left: 1px solid $openk-form-border;
}

.editor--arrangement--preview--text {
  padding: 1em;
}

.mat-drawer:not(.mat-drawer-side) {
  box-shadow: unset;
}

.mat-drawer-container {
  background-color: unset;
}


